<?php
/* ======================================================
 # JLogs for Joomla! - v1.0.2 (free version)
 # -------------------------------------------------------
 # For Joomla! CMS (v3.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2023 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://www.web357.com/product/jlogs-joomla-component
 # Support: support@web357.com
 # Last modified: Friday 05 April 2024, 12:37:11 AM
 ========================================================= */

// No direct access
defined('_JEXEC') or die;

use \Joomla\CMS\MVC\Controller\BaseController;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;

// BEGIN: Check if Web357 Framework plugin exists
jimport('joomla.plugin.helper');
if (!JPluginHelper::isEnabled('system', 'web357framework')) {
    $web357framework_required_msg = JText::_('<p>The <strong>"Web357 Framework"</strong> is required for this extension and must be active. Please, download and install it from <a href="http://downloads.web357.com/?item=web357framework&type=free">here</a>. It\'s FREE!</p>');
    JFactory::getApplication()->enqueueMessage($web357framework_required_msg, 'warning');
    return false;
}
// END: Check if Web357 Framework plugin exists

/**
 * ONLY FOR TEST
 */
use Joomla\CMS\Log\Log;
if (JDEBUG) 
{
    // Log::addLogger(array('text_file' => 'com_jlogs-example.log.php'), Log::ALL, array('com_jlogs'));
    // Log::add('Hey, it\'s Yiannis from Web357 here, this is a test `EMERGENCY` log message from a Joomla! debugger like me 😊', Log::EMERGENCY, 'com_jlogs');
    // Log::add('Hey, it\'s Yiannis from Web357 here, this is a test `ALERT` log message from a Joomla! debugger like me 😊', Log::ALERT, 'com_jlogs');
    // Log::add('Hey, it\'s Yiannis from Web357 here, this is a test `CRITICAL` log message from a Joomla! debugger like me 😊', Log::CRITICAL, 'com_jlogs');
    // Log::add('Hey, it\'s Yiannis from Web357 here, this is a test `ERROR` log message from a Joomla! debugger like me 😊', Log::ERROR, 'com_jlogs');
    // Log::add('Hey, it\'s Yiannis from Web357 here, this is a test `WARNING` log message from a Joomla! debugger like me 😊', Log::WARNING, 'com_jlogs');
    // Log::add('Hey, it\'s Yiannis from Web357 here, this is a test `NOTICE` log message from a Joomla! debugger like me 😊', Log::NOTICE, 'com_jlogs');
    // Log::add('Hey, it\'s Yiannis from Web357 here, this is a test `INFO` log message from a Joomla! debugger like me 😊', Log::INFO, 'com_jlogs');
    // Log::add('Hey, it\'s Yiannis from Web357 here, this is a test `DEBUG` log message from a Joomla! debugger like me 😊', Log::DEBUG, 'com_jlogs');
}

// Access check.
if (!Factory::getUser()->authorise('core.manage', 'com_jlogs'))
{
	throw new Exception(Text::_('JERROR_ALERTNOAUTHOR'));
}

// Include dependancies
jimport('joomla.application.component.controller');

JLoader::registerPrefix('Jlogs', JPATH_COMPONENT_ADMINISTRATOR);
JLoader::register('JlogsHelper', JPATH_COMPONENT_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . 'jlogs.php');

$controller = BaseController::getInstance('Jlogs');
$controller->execute(Factory::getApplication()->input->get('task'));
$controller->redirect();
