<?php
/* ======================================================
 # JLogs for Joomla! - v1.0.2 (free version)
 # -------------------------------------------------------
 # For Joomla! CMS (v3.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2023 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://www.web357.com/product/jlogs-joomla-component
 # Support: support@web357.com
 # Last modified: Friday 05 April 2024, 12:37:11 AM
 ========================================================= */
 
// No direct access
defined('_JEXEC') or die;
use \Joomla\CMS\Language\Text;
?>
<div class="jlog-container">

    <?php 
    // If the debug is not enabled display a warning message
    if ($this->show_the_debug_mode_message):
        if (!$this->debug): ?>
            <div class="jlogs-debug-is-disabled">
                <span title="<?php echo Text::_('The Joomla! Debug mode is disabled. To enable it, navigate to System > Global Configuration > System > Debug Settings > Debug System > Yes'); ?>">
                    <?php echo Text::_('The Joomla! Debug mode is disabled.'); ?>
                </span>
            </div>
        <?php else: ?>
            <div class="jlogs-debug-is-enabled">
                <span title="<?php echo Text::_('The Joomla! Debug mode is enabled. Do not forget to disable it on a live (production) website. To disable it, navigate to System > Global Configuration > System > Debug Settings > Debug System > No'); ?>">
                    <?php echo Text::_('The Joomla! Debug mode is enabled.'); ?>
                </span>
            </div>
        <?php 
        endif; 
    endif;
    ?>

    <div class="jlog-file-heading">

        <span class="jlog-filename" title="<?php echo $this->file_full_path; ?>">
            <?php echo $this->file_name; ?>
        </span>

        <span class="jlog-file-size">
            Size: <?php echo $this->file_size; ?>
        </span>

        <span class="jlog-file-last-modified">
            Last modified: <?php echo $this->file_last_modified; ?>
        </span>

    </div>
    
    <div class="jlog-file-contents">

        <?php if (!empty($this->file_contents)): ?>
            <?php echo $this->file_contents; ?>
        <?php else: ?>
            <p><?php echo Text::_('The file is empty.'); ?></p>
        <?php endif; ?>

    </div>

</div>